# PhotoPrism® Code of Conduct

**By using the software and services we provide, you agree to our [Terms of Service](https://photoprism.app/terms), including our [Privacy Policy](https://photoprism.app/privacy) and the following Code of Conduct. It explains the "dos and don’ts" when interacting with other community members.**

*Last Updated: June 14, 2022*

## Rules

Because we want our Code of Conduct to be easy to understand and implement, we have only three basic rules, numbered in order of importance:

(1) Be respectful, be responsible, be kind.

(2) Don’t panic.

(3) Don’t feed the trolls.

## Guidelines

Not everyone has experience with Open Source communities and intuitively knows what is acceptable. The following guidelines and examples can, at best, help you avoid the biggest pitfalls. They are by no means complete.

(a) Do not feel entitled to free software, support, or advice, especially if you are not a contributor, [sponsor](https://photoprism.app/membership), or paying customer. Don't ask contributors to report to you and [meet deadlines](https://docs.photoprism.app/developer-guide/code-quality/#go-slow-before-you-go-fast) as if they work for you or owe you something.

(b) Honor **Rule &#35;2**, [read the docs](https://docs.photoprism.app) and [determine the cause of your problem](https://docs.photoprism.app/getting-started/troubleshooting/) before opening invalid bug reports, starting a public "shitstorm", or insulting other community members in our chat rooms. Aside from being annoying for everyone, it also keeps our team from working on features and improvements that users like you are waiting for.

(c) Reckless and ignorant communication that disregards **Rule &#35;1** is unacceptable, whether public or private. If you are having a bad day and want to offend someone, please go somewhere else. Based on previous incidents, we also recommend that you wait until the worst is over when you've had too much coffee.

*Keep in mind that problems are actually quite rare. All in all, we have a pretty amazing community! Common sense and staying away from the computer when you're tired or hungry should generally be enough to get along with others.*

## Reporting

We encourage all community members to resolve problems on their own whenever possible. Serious and persistent violations, such as disrespectful, abusive, harassing, or otherwise unacceptable behavior, [may be reported](https://photoprism.app/contact) to us.

## Enforcement

Our community standards will be enforced as necessary to protect everyone's well-being and to ensure that our discussion forums, chat rooms, and other infrastructure can be used as intended.

Initial warnings may be issued in the form of a [snarky comment](https://www.urbandictionary.com/define.php?term=snarky). In serious cases, we will provide a link to this Code of Conduct to avoid misunderstandings.

Getting a simple **\*plonk\***[^1] in response finally signals that we have lost hope and you're being ignored according to **Rule &#35;3**. This old tradition from Usenet days is as time-saving as it is clear. It is not meant in a disrespectful way.

In addition, we may use technical measures to temporarily or permanently restrict your access to our infrastructure, including forums and chats.

[^1]: \*plonk\* including variants such as "Plonk." stands for the metaphorical sound of a user hitting the bottom of the kill file. It was first used in [Usenet forums](https://en.everybodywiki.com/Plonk_(Usenet)), a worldwide distributed discussion system and precursor to the Web.
